Skip to content

Confirm TOTP enrollment

POST
/api/v1/mfa/totp/verify
curl --request POST \
--url https://osctrl.net/api/v1/mfa/totp/verify \
--header 'Content-Type: application/json' \
--data '{ "code": "example" }'

Verifies a code from the authenticator app and returns recovery codes.

Request body

Media typeapplication/json
object
code
string
Examplegenerated
{
"code": "example"
}

OK

Media typeapplication/json
object
recovery_codes
Array<string>
Examplegenerated
{
"recovery_codes": [
"example"
]
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}